Bug 1183 - Is this a bug in the install program?
Summary: Is this a bug in the install program?
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: installer   
(Show other bugs)
Version: 5.2
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: David Lawrence
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-02-15 22:40 UTC by svalente
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 1999-03-12 22:21:36 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description svalente 1999-02-15 22:40:43 UTC
I noticed that, after an NFS install, the hostname in
/etc/sysconfig/network was always incorrectly set to
localhost.localdomain.  I assumed this was a bug and
decided to try to fix it.  I tracked the problem down to
this code in net.c:
    if (netc->manuallySet & NETINFO_HAS_HOSTNAME)
	fprintf(f, "HOSTNAME=%s\n", netc->hostname);
    else
	fprintf(f, "HOSTNAME=localhost.localdomain\n");

I don't know what to make of this.  I'm completely at a loss
for words.  I can't believe that it _is_ a bug, since the
code is explicitly written to avoid storing the hostname
in /etc/sysconfig/network when the hostname has been
reverse resolved (rather than manually entered.)  On the
other hand, I can't believe that it is _not_ a bug, since
it's so horribly wrong.

Well, you decide.

Comment 1 David Lawrence 1999-03-12 22:21:59 UTC
Normally hostname is set by either dhcp or you can set it manually
using netcfg after install.


Note You need to log in before you can comment on or make changes to this bug.